## GdauiRawGrid GdauiRawGrid |

## Synopsis

    struct              GdauiRawGrid;
    GtkWidget *         gdaui_raw_grid_new                  (GdaDataModel *model);
    void                gdaui_raw_grid_set_sample_size      (GdauiRawGrid *grid,
                                                             gint sample_size);
    void                gdaui_raw_grid_set_sample_start     (GdauiRawGrid *grid,
                                                             gint sample_start);
    void                gdaui_raw_grid_set_layout_from_file (GdauiRawGrid *grid,
                                                             const gchar *file_name,
                                                             const gchar *grid_name);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkTreeView
                               +----GdauiRawGrid

## Implemented Interfaces

GdauiRawGrid implements AtkImplementorIface, GtkBuildable, GtkScrollable, GdauiDataProxy and GdauiDataSelector.

## Properties

      "global-actions-visible"   gboolean              : Read / Write
      "info-cell-visible"        gboolean              : Read / Write
      "model"                    GdaDataModel*         : Read / Write
      "xml-layout"               gpointer              : Write

## Signals

      "double-clicked"                                 : Run First
      "populate-popup"                                 : Run First

## Description

## Details

### struct GdauiRawGrid

    struct GdauiRawGrid;

### gdaui_raw_grid_new ()

    GtkWidget *         gdaui_raw_grid_new                  (GdaDataModel *model);

Since 4.2

### gdaui_raw_grid_set_sample_size ()

    void                gdaui_raw_grid_set_sample_size      (GdauiRawGrid *grid,
                                                             gint sample_size);

Since 4.2

### gdaui_raw_grid_set_sample_start ()

    void                gdaui_raw_grid_set_sample_start     (GdauiRawGrid *grid,
                                                             gint sample_start);

Since 4.2

### gdaui_raw_grid_set_layout_from_file ()

    void                gdaui_raw_grid_set_layout_from_file (GdauiRawGrid *grid,
                                                             const gchar *file_name,
                                                             const gchar *grid_name);

Since 4.2

## Property Details

### The `"global-actions-visible"` property

      "global-actions-visible"   gboolean              : Read / Write

Global Actions visible.

Default value: FALSE

### The `"info-cell-visible"` property

      "info-cell-visible"        gboolean              : Read / Write

Info cell visible.

Default value: FALSE

### The `"model"` property

      "model"                    GdaDataModel*         : Read / Write

### The `"xml-layout"` property

      "xml-layout"               gpointer              : Write

## Signal Details

### The `"double-clicked"` signal

    void                user_function                      (GdauiRawGrid *grid,
                                                            gint          row,
                                                            gpointer      user_data)      : Run First

### The `"populate-popup"` signal

    void                user_function                      (GdauiRawGrid *grid,
                                                            GtkMenu      *menu,
                                                            gpointer      user_data)      : Run First